Checksum.FormatElement (Apache Ant API)

org.apache.tools.ant.taskdefs

## Class Checksum.FormatElement

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.Checksum.FormatElement

- Enclosing class:
    Checksum

      public static class Checksum.FormatElement
      extends EnumeratedAttribute

  Helper class for the format attribute.
  Since:
    1.7

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Checksum.FormatElement()` Constructor for FormatElement

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Checksum.FormatElement` | `getDefault()` Get the default value - CHECKSUM.
    `java.text.MessageFormat` | `getFormat()` Convert this enumerated type to a `MessageFormat`.
    `java.lang.String[]` | `getValues()` Get the valid values.

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Checksum.FormatElement

          public Checksum.FormatElement()

      Constructor for FormatElement

  - ### Method Detail

    - #### getDefault

          public static Checksum.FormatElement getDefault()

      Get the default value - CHECKSUM.
      Returns:
        the defaul value.

    - #### getFormat

          public java.text.MessageFormat getFormat()

      Convert this enumerated type to a `MessageFormat`.
      Returns:
        a `MessageFormat` object.

    - #### getValues

          public java.lang.String[] getValues()

      Get the valid values.
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array of values.